// --- //
  
@mixin font-size($size)
  @if (type_of($size)==number)
    font-size: calc(#{$size} + 2 * (100vw - 320px) / (960 - 320))

@mixin line-height($size)
  @if (type_of($size)==number)
    line-height: calc(120% + #{$size} * (100vw - 960px) / (320 - 960))


@mixin absolute-all
  position: absolute
  top: 0
  bottom: 0
  left: 0
  right: 0


@mixin adaptive-wrapper-img($size)
  @if (type_of($size)==number)
    display: block
    width: 100%
    padding-top: $size
    overflow: hidden

@mixin adaptive-horizont-img
  	position: absolute
	  width: 100%
	  top: 50%
	  transform: translateY(-50%)
@mixin adaptive-album-img
  position: absolute
  height: 100%
  top: 0
  bottom: 0
  left: 50%
  transform: translateX(-50%)

@mixin before-icon($width,$height)
  @if (type_of($width)==number and type_of($height)==number)
    width: $width
		height: $height
		background-repeat: no-repeat
		background-size: contain
		background-position: center
		position: absolute



// --- //




